Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.rest.repr
Class ExtensionPointRepresentation

    java.lang.Object
      org.neo4j.server.rest.repr.Representation
          org.neo4j.server.rest.repr.MappingRepresentation
              org.neo4j.server.rest.repr.ObjectRepresentation
                  org.neo4j.server.rest.repr.ExtensionPointRepresentation

All Implemented Interfaces:
  ParameterDescriptionConsumer

    public final class ExtensionPointRepresentation

extends ObjectRepresentation
implements ParameterDescriptionConsumer

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`ObjectRepresentation.Mapping`

Field Summary

Fields inherited from class org.neo4j.server.rest.repr.Representation
`BOOLEAN, BOOLEAN_LIST, BYTE, BYTE_LIST, CHARACTER, CHARACTER_LIST, DOUBLE, DOUBLE_LIST, EXCEPTION, EXTENSION, EXTENSIONS_MAP, FLOAT, FLOAT_LIST, GRAPHDB, INDEX, INTEGER, INTEGER_LIST, LONG, LONG_LIST, NODE, NODE_INDEXES, NODE_LIST, PATH, PATH_LIST, PROPERTIES_MAP, RELATIONSHIP, RELATIONSHIP_INDEXES, RELATIONSHIP_LIST, RELATIONSHIP_TYPE, SHORT, SHORT_LIST, STRING, STRING_LIST, URI, URI_TEMPLATE`

Constructor Summary
`ExtensionPointRepresentation(String name, Class<?> extended, String desciption)`

Method Summary
`void` | `describeListParameter(String name, Class<?> type, boolean optional, String description)`
`void` | `describeParameter(String name, Class<?> type, boolean optional, String description)`
`ValueRepresentation` | `description()`
`ValueRepresentation` | `extendedEntity()`
`String` | `getExtendedEntity()`
`String` | `getName()`
`ValueRepresentation` | `methodName()`
`ListRepresentation` | `parametersList()`

Methods inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`serialize`

Methods inherited from class org.neo4j.server.rest.repr.MappingRepresentation
`stringMap`

Methods inherited from class org.neo4j.server.rest.repr.Representation
`emptyRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionPointRepresentation

    public ExtensionPointRepresentation(String name,
                                        Class<?> extended,
                                        String desciption)

Method Detail

### describeParameter

    public void describeParameter(String name,
                                  Class<?> type,
                                  boolean optional,
                                  String description)

  Specified by:
    `describeParameter` in interface `ParameterDescriptionConsumer`

### describeListParameter

    public void describeListParameter(String name,
                                      Class<?> type,
                                      boolean optional,
                                      String description)

  Specified by:
    `describeListParameter` in interface `ParameterDescriptionConsumer`

### getName

    public String getName()

### getExtendedEntity

    public String getExtendedEntity()

### methodName

    public ValueRepresentation methodName()

### description

    public ValueRepresentation description()

### extendedEntity

    public ValueRepresentation extendedEntity()

### parametersList

    public ListRepresentation parametersList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.